I2C_BOARD_INFO
Prev | Chapter 27. I2C and SMBus Subsystem | Next

## Name

I2C_BOARD_INFO — macro used to list an i2c device and its driver

## Synopsis

`I2C_BOARD_INFO (` |  | driver,
|  | dev_addr`)`;

## Arguments

`driver`

  identifies the driver to use with the device

`dev_addr`

  the device's address on the bus.

## Description

This macro initializes essential fields of a struct i2c_board_info, declaring what has been provided on a particular board. Optional fields (such as the chip type, its associated irq, or device-specific platform_data) are provided using conventional syntax.

Prev | Up | Next
struct i2c_board_info | Home | struct i2c_msg